class gestureProjEffect extends xEmitter;

state Ticking
{
	simulated function Tick( float dt )
	{
		if( LifeSpan < 1.0 )
		{
			mRegenRange[0] *= LifeSpan;
			mRegenRange[1] = mRegenRange[0];
		}
	}
}

simulated function timer()
{
	GotoState('Ticking');
}

simulated function PostNetBeginPlay()
{
	SetTimer(LifeSpan - 1.0,false);
}

defaultproperties
{
     bSuspendWhenNotVisible=True
     mParticleType=PT_Line
     mSpawningType=ST_Explode
     mStartParticles=0
     mMaxParticles=20
     mDelayRange(1)=0.100000
     mLifeRange(0)=0.400000
     mLifeRange(1)=0.600000
     mRegenRange(0)=60.000000
     mRegenRange(1)=60.000000
     mDirDev=(X=1.000000,Y=1.000000,Z=1.000000)
     mPosDev=(X=0.000000,Y=0.000000,Z=0.000000)
     mSpeedRange(0)=15.000000
     mSpeedRange(1)=20.000000
     mMassRange(0)=-0.200000
     mMassRange(1)=0.200000
     mAirResistance=0.200000
     mSizeRange(0)=1.000000
     mSizeRange(1)=2.000000
     mGrowthRate=-4.000000
     mAttenKa=0.000000
     LifeSpan=3.500000
     Skins(0)=Texture'XEffects.Skins.pcl_BlueSpark'
     ScaleGlow=2.000000
     Style=STY_Additive
}